<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN">

<html>

<head>

<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">

<title>Debian Perl Policy - Footnotes</title>

<link href="index.html" rel="start">
<link href=".html" rel="prev">
<link href=".html" rel="next">
<link href="index.html#contents" rel="contents">
<link href="index.html#copyright" rel="copyright">
<link href="ch1.html" rel="chapter" title="1 About this document">
<link href="ch-perl.html" rel="chapter" title="2 Perl Packaging">
<link href="ch-site.html" rel="chapter" title="3 Locally Installed Modules">
<link href="ch-module_packages.html" rel="chapter" title="4 Packaged Modules">
<link href="ch-programs.html" rel="chapter" title="5 Perl Programs">
<link href="ch-embed.html" rel="chapter" title="6 Programs Embedding Perl">
<link href="ap-perl6.html" rel="appendix" title="A Perl 6">
<link href="ch-perl.html#s-versions" rel="section" title="2.1 Versions">
<link href="ch-perl.html#s-base" rel="section" title="2.2 Base Package">
<link href="ch-perl.html#s-paths" rel="section" title="2.3 Module Path">
<link href="ch-perl.html#s-docs" rel="section" title="2.4 Documentation">
<link href="ch-site.html#s-site_dirs" rel="section" title="3.1 Site Directories">
<link href="ch-site.html#s-site_install" rel="section" title="3.2 Site Installation">
<link href="ch-module_packages.html#s-vendor_dirs" rel="section" title="4.1 Vendor Directories">
<link href="ch-module_packages.html#s-package_names" rel="section" title="4.2 Module Package Names">
<link href="ch-module_packages.html#s-vendor_install" rel="section" title="4.3 Vendor Installation">
<link href="ch-module_packages.html#s-module_deps" rel="section" title="4.4 Module Dependencies">
<link href="ch-programs.html#s-hash_bang" rel="section" title="5.1 Script Magic">
<link href="ch-programs.html#s-program_deps" rel="section" title="5.2 Program Dependencies">
<link href="ch-embed.html#s-build_embedded" rel="section" title="6.1 Building Embedded Programs">
<link href="ch-embed.html#s-embedded_deps" rel="section" title="6.2 Embedded Perl Dependencies">
<link href="ch-embed.html#s-perl_upgrades" rel="section" title="6.3 Perl Package Upgrades">
<link href="ch-module_packages.html#s-indep_modules" rel="subsection" title="4.4.1 Architecture-Independent Modules">
<link href="ch-module_packages.html#s-binary_modules" rel="subsection" title="4.4.2 Binary and Other Architecture Dependent Modules">
<link href="ch-module_packages.html#s-dh_perl" rel="subsection" title="4.4.3 Automating Perl Dependencies">

</head>

<body>

<hr>

<h1>
Debian Perl Policy
<br>Footnotes</h1>

<h2><a href="ch-perl.html#fr1" name="f1">1</a></h2>

<p>
see the <samp>Config</samp> module
</p>

<h2><a href="ch-perl.html#fr2" name="f2">2</a></h2>

<p>
Build systems based on <samp>ExtUtils::MakeMaker</samp> and
<samp>Module::Build</samp> do this automatically.
</p>

<h2><a href="ch-perl.html#fr3" name="f3">3</a></h2>

<p>
For example, to include the multiarch triplet
</p>

<h2><a href="ch-perl.html#fr4" name="f4">4</a></h2>

<p>
Build systems based on <samp>ExtUtils::MakeMaker</samp> and
<samp>Module::Build</samp> do this automatically.
</p>

<h2><a href="ch-perl.html#fr5" name="f5">5</a></h2>

<p>
Build systems based on <samp>ExtUtils::MakeMaker</samp> and
<samp>Module::Build</samp> do this automatically.
</p>

<h2><a href="ch-module_packages.html#fr6" name="f6">6</a></h2>

<p>
<code><a href="http://www.perl.com/CPAN">http://www.perl.com/CPAN</a></code>
</p>

<h2><a href="ch-module_packages.html#fr7" name="f7">7</a></h2>

<p>
The environment variable <samp>PERL_MM_OPT</samp> may be used to pass the
<samp>INSTALLDIRS=vendor</samp> option in cases where <code>Makefile.PL</code>
is not invoked directly from <code>debian/rules</code>
</p>

<h2><a href="ch-module_packages.html#fr8" name="f8">8</a></h2>

<p>
Replace &lt;tmp&gt; with the appropriate directory (nominally just tmp)
</p>

<h2><a href="ch-module_packages.html#fr9" name="f9">9</a></h2>

<p>
Please note that dependencies caused by versioned uses and on separately
packaged modules are not included in this variable and must be explicitly
included.
</p>

<hr>

<p>
Debian Perl Policy
</p>

<address>
version 3.9.8.0, 2016-03-30<br>
<br>
Rapha&euml;l Hertzog<br>
Brendan O'Dea<br>
The Debian Policy mailing list <code><a href="mailto:debian-policy@lists.debian.org">mailto:debian-policy@lists.debian.org</a></code><br>
<br>
</address>
<hr>

</body>

</html>

